_Edje_External_Param Struct Reference
Edje » Edje External

Struct that holds parameters for parts of type EXTERNAL. More...

`#include <Edje_Common.h>`

## Data Fields

const char * | name
| The name of the parameter.
Edje_External_Param_Type | type
| The type of the parameter.
int | i
| Used by both integer and boolean.
double | d
| Used by double.
const char * | s
| Used by both string and choice.

## Detailed Description

Struct that holds parameters for parts of type EXTERNAL.

## Field Documentation

## type

Edje_External_Param_Type _Edje_External_Param::type

The type of the parameter.

This defines which of the next three variables holds the value for it.

Referenced by edje_external_param_bool_get(), edje_external_param_choice_get(), edje_external_param_double_get(), edje_external_param_int_get(), and edje_external_param_string_get().